git.99rst.org
/
openwrt-packages.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
| inline |
side by side
(parent:
a916211
)
CI: Add helper functions
author
Michal Hrusecky
<redacted>
Sat, 3 Oct 2020 17:29:51 +0000
(19:29 +0200)
committer
Paul Spooren
<redacted>
Sat, 10 Oct 2020 21:16:13 +0000
(11:16 -1000)
Add a shell script that can produce colorfull output to help to identify
problems during CI runs.
Signed-off-by: Michal Hrusecky <redacted>
.github/workflows/ci_helpers.sh
[new file with mode: 0644]
patch
|
blob
diff --git a/.github/workflows/ci_helpers.sh
b/.github/workflows/ci_helpers.sh
new file mode 100644
(file)
index 0000000..
60dcd4e
--- /dev/null
+++ b/
.github/workflows/ci_helpers.sh
@@ -0,0
+1,26
@@
+#!/bin/sh
+
+color_out() {
+ printf "\e[0;$1m$PKG_NAME: %s\e[0;0m\n" "$2"
+}
+
+success() {
+ color_out 32 "$1"
+}
+
+info() {
+ color_out 36 "$1"
+}
+
+err() {
+ color_out 31 "$1"
+}
+
+warn() {
+ color_out 33 "$1"
+}
+
+err_die() {
+ err "$1"
+ exit 1
+}
git clone https://git.99rst.org/PROJECT